%define ISONAME ISO8859-9
Name: XFree86-%{ISONAME}
Version: 2.1.2
Release: 10
Copyright: distributable
Source: ftp://ftp.itu.edu.tr/pub/linux/system/x11/trXFree86-%{PACKAGE_VERSION}.tar.bz2
Patch0: trXFree86-2.1.2-redhat.patch
Requires: XFree86 > 3.2
BuildRoot: /var/tmp/XFree86-tr-root
BuildArch: noarch
Group: User Interface/X
Summary: Turkish language fonts and modmaps for X.
Prereq: chkfontpath

%description
The XFree86-ISO8859-9 package contains Turkish language (ISO8859-9)
terminal fonts, modmaps for the Q and F style of Turkish keyboard
mappings and a simple utility for changing the modmap.

If you need to display Turkish language fonts on your X Window System,
or if you need a to use the Q and F style keyboard mappings, you should
install the XFree86-ISO8859-9 package.  You may also need to install
other XFree86 font packages.  If you're installing the X Window System,
you'll need to install the XFree86 package, the XFree86 video card
package which corresponds to your video card, the X11R6-contrib package,
the Xconfigurator package and the XFree86-libs package.  If you're
going to develop applications that run as X clients, you will also need
to install XFree86-devel.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: 75 dpi Turkish (ISO8859-9) fonts for X.

%description 75dpi-fonts
The XFree86-ISO8859-9-75dpi-fonts package contains a set of Turkish
language (ISO8859-9) fonts in 75 dpi resolution for the X Window System.

If you need to display Turkish language fonts on your X Window System,
you should install this package.  If your monitor is capable of
supporting 100 dpi resolution, you should instead install the 100 dpi
font package.  You may also need to install one or more of the other
XFree86 fonts packages.  If you're installing the X Window System, you
need to install the XFree86 package, the XFree86 video card package
which corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you will
also need to install XFree86-devel.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: 100 dpi Turkish (ISO8859-9) fonts for X.

%description 100dpi-fonts
The XFree86-ISO8859-9-100dpi-fonts package contains a set of Turkish
language fonts in 100 dpi resolution and in accordance with the
ISO8859-9 standard for the X Window System.

If you need to display Turkish language fonts for the X Window System,
and your monitor is capable of supporting 100 dpi resolution, you should
install this package. You may also need to install one or more of
the other XFree86 fonts packages. To install the X Window System, 
you will need to install the XFree86 package, the XFree86 video card
package which corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.

If you are going to develop applications that will run as X clients,
you will also need to install XFree86-devel.

%prep
%setup -q -n trXFree86-%{version}
%patch0 -p1 -b .redhat

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/100dpi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi
fi

%files
%defattr(-,root,root)
%doc README
#/usr/X11R6/bin/*
/usr/X11R6/lib/X11/etc/*
%dir /usr/share/fonts/%{ISONAME}
%dir /usr/share/fonts/%{ISONAME}/misc/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/misc/fonts.*

%files 75dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/75dpi
/usr/share/fonts/%{ISONAME}/75dpi/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/75dpi/fonts.*

%files 100dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/100dpi
/usr/share/fonts/%{ISONAME}/100dpi/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/100dpi/fonts.*


%changelog
* Thu Sep 23 1999 Bill Nottingham <notting@redhat.com>
- bump rev (it was same as 6.0 version)

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.* are now config files

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- fixed typo in macro.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed some typos.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- made chkfontpath compliant.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- moved fonts to /usr/share/fonts/ISO8859-9, under new font scheme.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2 (and changed the package quite a bit)
- don't ship xsetmodmap, as it will induce a dependency on tcl/tk I'm not
  sure we really want
- made a noarch package

* Tue Jul 14 1998 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1.2 srmne gei (modmaplerde dzeltmeler)

* Wed Dec 31 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1.1 srmne gei

* Tue Dec 23 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.1 srmne gei

* Fri Dec 12 1997 H. Turgut Uyar <uyar@cs.itu.edu.tr>
- 2.0 srmne gei
